summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorHairyFotr <hairyfotr@gmail.com>2017-09-14 13:33:27 +0200
committerHairyFotr <hairyfotr@gmail.com>2017-09-14 13:33:27 +0200
commitc7548450c05b61c4232d7aa93926516bfa06688f (patch)
tree7173d8f6d58c8eebd82a0a40d08685e71292703e /bin
parent457fdaa36055f496800953c888150308376cc25d (diff)
downloadetherpad-lite-c7548450c05b61c4232d7aa93926516bfa06688f.zip
Typos and minor fixes in bin, doc, and root
Diffstat (limited to 'bin')
-rwxr-xr-xbin/buildDebian.sh2
-rw-r--r--bin/checkPad.js8
-rwxr-xr-xbin/cleanRun.sh4
-rwxr-xr-xbin/createRelease.sh172
-rwxr-xr-xbin/debugRun.sh6
-rw-r--r--bin/deletePad.js4
-rw-r--r--bin/doc/json.js4
-rw-r--r--bin/extractPadData.js10
-rw-r--r--bin/importSqlFile.js2
-rwxr-xr-xbin/installDeps.sh12
-rw-r--r--bin/installOnWindows.bat4
-rw-r--r--bin/repairPad.js6
-rwxr-xr-xbin/run.sh20
-rwxr-xr-xbin/safeRun.sh14
14 files changed, 134 insertions, 134 deletions
diff --git a/bin/buildDebian.sh b/bin/buildDebian.sh
index cc3353c2..58431f73 100755
--- a/bin/buildDebian.sh
+++ b/bin/buildDebian.sh
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
# IMPORTANT
-# Protect agaisnt mispelling a var and rm -rf /
+# Protect against misspelling a var and rm -rf /
set -u
set -e
diff --git a/bin/checkPad.js b/bin/checkPad.js
index a9b7e8bc..eb45a4b4 100644
--- a/bin/checkPad.js
+++ b/bin/checkPad.js
@@ -10,7 +10,7 @@ if(process.argv.length != 3)
//get the padID
var padId = process.argv[2];
-//initalize the variables
+//initialize the variables
var db, settings, padManager;
var npm = require("../src/node_modules/npm");
var async = require("../src/node_modules/async");
@@ -29,7 +29,7 @@ async.series([
settings = require('../src/node/utils/Settings');
db = require('../src/node/db/DB');
- //intallize the database
+ //initialize the database
db.init(callback);
},
//get the pad
@@ -54,7 +54,7 @@ async.series([
},
function (callback)
{
- //create an array with key kevisions
+ //create an array with key revisions
//key revisions always save the full pad atext
var head = pad.getHeadRevisionNumber();
var keyRevisions = [];
@@ -99,7 +99,7 @@ async.series([
process.exit(1);
}
- //check if there is a atext in the keyRevisions
+ //check if there is an atext in the keyRevisions
if(revisions[keyRev] === undefined || revisions[keyRev].meta === undefined || revisions[keyRev].meta.atext === undefined)
{
console.error("No atext in key revision " + keyRev);
diff --git a/bin/cleanRun.sh b/bin/cleanRun.sh
index 55bcf8a7..ef802815 100755
--- a/bin/cleanRun.sh
+++ b/bin/cleanRun.sh
@@ -16,7 +16,7 @@ do
fi
done
-#Stop the script if its started as root
+#Stop the script if it's started as root
if [ "$(id -u)" -eq 0 ] && [ $ignoreRoot -eq 0 ]; then
echo "You shouldn't start Etherpad as root!"
echo "Please type 'Etherpad rocks my socks' or supply the '--root' argument if you still want to start it as root"
@@ -31,7 +31,7 @@ fi
#Clean the current environment
rm -rf src/node_modules
-#Prepare the enviroment
+#Prepare the environment
bin/installDeps.sh $* || exit 1
#Move to the node folder and start
diff --git a/bin/createRelease.sh b/bin/createRelease.sh
index 435ec346..5afced8f 100755
--- a/bin/createRelease.sh
+++ b/bin/createRelease.sh
@@ -22,25 +22,25 @@ TMP_DIR="/tmp/"
echo "WARNING: You can only run this script if your github api token is allowed to create and merge branches on $ETHER_REPO and $ETHER_WEB_REPO."
echo "This script automatically changes the version number in package.json and adds a text to CHANGELOG.md."
-echo "When you use this script you should be in the branch that you want to release (develop probably) on latest version. Any changes that are currently not commited will be commited."
+echo "When you use this script you should be in the branch that you want to release (develop probably) on latest version. Any changes that are currently not committed will be committed."
echo "-----"
-# get the latest version
+# Get the latest version
LATEST_GIT_TAG=$(git tag | tail -n 1)
-# current environment
+# Current environment
echo "Current environment: "
echo "- branch: $(git branch | grep '* ')"
echo "- last commit date: $(git show --quiet --pretty=format:%ad)"
echo "- current version: $LATEST_GIT_TAG"
echo "- temp dir: $TMP_DIR"
-# get new version number
+# Get new version number
# format: x.x.x
echo -n "Enter new version (x.x.x): "
read VERSION
-# get the message for the changelogs
+# Get the message for the changelogs
read -p "Enter new changelog entries (press enter): "
tmp=$(mktemp)
"${EDITOR:-vi}" $tmp
@@ -49,7 +49,7 @@ echo "$changelogText"
rm $tmp
if [ "$changelogText" != "" ]; then
- changelogText="# $VERSION\n$changelogText"
+ changelogText="# $VERSION\n$changelogText"
fi
# get the token for the github api
@@ -57,114 +57,114 @@ echo -n "Enter your github api token: "
read API_TOKEN
function check_api_token {
- echo "Checking if github api token is valid..."
- CURL_RESPONSE=$(curl --silent -i https://api.github.com/user?access_token=$API_TOKEN | iconv -f utf8)
- HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
- [[ $HTTP_STATUS != "200" ]] && echo "Aborting: Invalid github api token" && exit 1
+ echo "Checking if github api token is valid..."
+ CURL_RESPONSE=$(curl --silent -i https://api.github.com/user?access_token=$API_TOKEN | iconv -f utf8)
+ HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
+ [[ $HTTP_STATUS != "200" ]] && echo "Aborting: Invalid github api token" && exit 1
}
function modify_files {
- # Add changelog text to first line of CHANGELOG.md
- sed -i "1s/^/${changelogText}\n/" CHANGELOG.md
- # Replace version number of etherpad in package.json
- sed -i -r "s/(\"version\"[ ]*: \").*(\")/\1$VERSION\2/" src/package.json
+ # Add changelog text to first line of CHANGELOG.md
+ sed -i "1s/^/${changelogText}\n/" CHANGELOG.md
+ # Replace version number of etherpad in package.json
+ sed -i -r "s/(\"version\"[ ]*: \").*(\")/\1$VERSION\2/" src/package.json
}
function create_release_branch {
- echo "Creating new release branch..."
- git rev-parse --verify release/$VERSION 2>/dev/null
- if [ $? == 0 ]; then
- echo "Aborting: Release branch already present"
- exit 1
- fi
- git checkout -b release/$VERSION
- [[ $? != 0 ]] && echo "Aborting: Error creating relase branch" && exit 1
-
- echo "Commiting CHANGELOG.md and package.json"
- git add CHANGELOG.md
- git add src/package.json
- git commit -m "Release version $VERSION"
-
- echo "Pushing release branch to github..."
- git push -u $ETHER_REPO release/$VERSION
- [[ $? != 0 ]] && echo "Aborting: Error pushing release branch to github" && exit 1
+ echo "Creating new release branch..."
+ git rev-parse --verify release/$VERSION 2>/dev/null
+ if [ $? == 0 ]; then
+ echo "Aborting: Release branch already present"
+ exit 1
+ fi
+ git checkout -b release/$VERSION
+ [[ $? != 0 ]] && echo "Aborting: Error creating release branch" && exit 1
+
+ echo "Committing CHANGELOG.md and package.json"
+ git add CHANGELOG.md
+ git add src/package.json
+ git commit -m "Release version $VERSION"
+
+ echo "Pushing release branch to github..."
+ git push -u $ETHER_REPO release/$VERSION
+ [[ $? != 0 ]] && echo "Aborting: Error pushing release branch to github" && exit 1
}
function merge_release_branch {
- echo "Merging release to master branch on github..."
- API_JSON=$(printf '{"base": "master","head": "release/%s","commit_message": "Merge new release into master branch!"}' $VERSION)
- CURL_RESPONSE=$(curl --silent -i -N --data "$API_JSON" https://api.github.com/repos/ether/etherpad-lite/merges?access_token=$API_TOKEN | iconv -f utf8)
- echo $CURL_RESPONSE
- HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
- [[ $HTTP_STATUS != "200" ]] && echo "Aborting: Error merging release branch on github" && exit 1
+ echo "Merging release to master branch on github..."
+ API_JSON=$(printf '{"base": "master","head": "release/%s","commit_message": "Merge new release into master branch!"}' $VERSION)
+ CURL_RESPONSE=$(curl --silent -i -N --data "$API_JSON" https://api.github.com/repos/ether/etherpad-lite/merges?access_token=$API_TOKEN | iconv -f utf8)
+ echo $CURL_RESPONSE
+ HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
+ [[ $HTTP_STATUS != "200" ]] && echo "Aborting: Error merging release branch on github" && exit 1
}
function create_builds {
- echo "Cloning etherpad-lite repo and ether.github.com repo..."
- cd $TMP_DIR
- rm -rf etherpad-lite ether.github.com
- git clone $ETHER_REPO --branch master
- git clone $ETHER_WEB_REPO
- echo "Creating windows build..."
- cd etherpad-lite
- bin/buildForWindows.sh
- [[ $? != 0 ]] && echo "Aborting: Error creating build for windows" && exit 1
- echo "Creating docs..."
- make docs
- [[ $? != 0 ]] && echo "Aborting: Error generating docs" && exit 1
+ echo "Cloning etherpad-lite repo and ether.github.com repo..."
+ cd $TMP_DIR
+ rm -rf etherpad-lite ether.github.com
+ git clone $ETHER_REPO --branch master
+ git clone $ETHER_WEB_REPO
+ echo "Creating windows build..."
+ cd etherpad-lite
+ bin/buildForWindows.sh
+ [[ $? != 0 ]] && echo "Aborting: Error creating build for windows" && exit 1
+ echo "Creating docs..."
+ make docs
+ [[ $? != 0 ]] && echo "Aborting: Error generating docs" && exit 1
}
function push_builds {
- cd $TMP_DIR/etherpad-lite/
- echo "Copying windows build and docs to website repo..."
- GIT_SHA=$(git rev-parse HEAD | cut -c1-10)
- mv etherpad-lite-win.zip $TMP_DIR/ether.github.com/downloads/etherpad-lite-win-$VERSION-$GIT_SHA.zip
-
- mv out/doc $TMP_DIR/ether.github.com/doc/v$VERSION
-
- cd $TMP_DIR/ether.github.com/
- sed -i "s/etherpad-lite-win.*\.zip/etherpad-lite-win-$VERSION-$GIT_SHA.zip/" index.html
- sed -i "s/$LATEST_GIT_TAG/$VERSION/g" index.html
- git checkout -b release_$VERSION
- [[ $? != 0 ]] && echo "Aborting: Error creating new release branch" && exit 1
- git add doc/
- git add downloads/
- git commit -a -m "Release version $VERSION"
- git push -u $ETHER_WEB_REPO release_$VERSION
- [[ $? != 0 ]] && echo "Aborting: Error pushing release branch to github" && exit 1
+ cd $TMP_DIR/etherpad-lite/
+ echo "Copying windows build and docs to website repo..."
+ GIT_SHA=$(git rev-parse HEAD | cut -c1-10)
+ mv etherpad-lite-win.zip $TMP_DIR/ether.github.com/downloads/etherpad-lite-win-$VERSION-$GIT_SHA.zip
+
+ mv out/doc $TMP_DIR/ether.github.com/doc/v$VERSION
+
+ cd $TMP_DIR/ether.github.com/
+ sed -i "s/etherpad-lite-win.*\.zip/etherpad-lite-win-$VERSION-$GIT_SHA.zip/" index.html
+ sed -i "s/$LATEST_GIT_TAG/$VERSION/g" index.html
+ git checkout -b release_$VERSION
+ [[ $? != 0 ]] && echo "Aborting: Error creating new release branch" && exit 1
+ git add doc/
+ git add downloads/
+ git commit -a -m "Release version $VERSION"
+ git push -u $ETHER_WEB_REPO release_$VERSION
+ [[ $? != 0 ]] && echo "Aborting: Error pushing release branch to github" && exit 1
}
function merge_web_branch {
echo "Merging release to master branch on github..."
API_JSON=$(printf '{"base": "master","head": "release_%s","commit_message": "Release version %s"}' $VERSION $VERSION)
- CURL_RESPONSE=$(curl --silent -i -N --data "$API_JSON" https://api.github.com/repos/ether/ether.github.com/merges?access_token=$API_TOKEN | iconv -f utf8)
- echo $CURL_RESPONSE
- HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
- [[ $HTTP_STATUS != "200" ]] && echo "Aborting: Error merging release branch" && exit 1
+ CURL_RESPONSE=$(curl --silent -i -N --data "$API_JSON" https://api.github.com/repos/ether/ether.github.com/merges?access_token=$API_TOKEN | iconv -f utf8)
+ echo $CURL_RESPONSE
+ HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
+ [[ $HTTP_STATUS != "200" ]] && echo "Aborting: Error merging release branch" && exit 1
}
function publish_release {
- echo -n "Do you want to publish a new release on github (y/n)? "
- read PUBLISH_RELEASE
- if [ $PUBLISH_RELEASE = "y" ]; then
- # create a new release on github
- API_JSON=$(printf '{"tag_name": "%s","target_commitish": "master","name": "Release %s","body": "%s","draft": false,"prerelease": false}' $VERSION $VERSION $changelogText)
- CURL_RESPONSE=$(curl --silent -i -N --data "$API_JSON" https://api.github.com/repos/ether/etherpad-lite/releases?access_token=$API_TOKEN | iconv -f utf8)
- HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
- [[ $HTTP_STATUS != "201" ]] && echo "Aborting: Error publishing release on github" && exit 1
- else
- echo "No release published on github!"
- fi
+ echo -n "Do you want to publish a new release on github (y/n)? "
+ read PUBLISH_RELEASE
+ if [ $PUBLISH_RELEASE = "y" ]; then
+ # create a new release on github
+ API_JSON=$(printf '{"tag_name": "%s","target_commitish": "master","name": "Release %s","body": "%s","draft": false,"prerelease": false}' $VERSION $VERSION $changelogText)
+ CURL_RESPONSE=$(curl --silent -i -N --data "$API_JSON" https://api.github.com/repos/ether/etherpad-lite/releases?access_token=$API_TOKEN | iconv -f utf8)
+ HTTP_STATUS=$(echo $CURL_RESPONSE | head -1 | sed -r 's/.* ([0-9]{3}) .*/\1/')
+ [[ $HTTP_STATUS != "201" ]] && echo "Aborting: Error publishing release on github" && exit 1
+ else
+ echo "No release published on github!"
+ fi
}
function todo_notification {
- echo "Release procedure was successful, but you have to do some steps manually:"
- echo "- Update the wiki at https://github.com/ether/etherpad-lite/wiki"
- echo "- Create a pull request on github to merge the master branch back to develop"
- echo "- Announce the new release on the mailing list, blog.etherpad.org and Twitter"
+ echo "Release procedure was successful, but you have to do some steps manually:"
+ echo "- Update the wiki at https://github.com/ether/etherpad-lite/wiki"
+ echo "- Create a pull request on github to merge the master branch back to develop"
+ echo "- Announce the new release on the mailing list, blog.etherpad.org and Twitter"
}
-# call functions
+# Call functions
check_api_token
modify_files
create_release_branch
diff --git a/bin/debugRun.sh b/bin/debugRun.sh
index f90009d0..b42112f7 100755
--- a/bin/debugRun.sh
+++ b/bin/debugRun.sh
@@ -8,7 +8,7 @@ if [ -d "../bin" ]; then
cd "../"
fi
-#prepare the enviroment
+#Prepare the environment
bin/installDeps.sh || exit 1
hash node-inspector > /dev/null 2>&1 || {
@@ -20,9 +20,9 @@ hash node-inspector > /dev/null 2>&1 || {
node-inspector &
-echo "If you are new to node-inspector, take a look at this video: http://youtu.be/AOnK3NVnxL8"
+echo "If you are new to node-inspector, take a look at this video: https://youtu.be/AOnK3NVnxL8"
node --debug node_modules/ep_etherpad-lite/node/server.js $*
-#kill node-inspector before ending
+#Kill node-inspector before ending
kill $!
diff --git a/bin/deletePad.js b/bin/deletePad.js
index f7a6d203..fe7761db 100644
--- a/bin/deletePad.js
+++ b/bin/deletePad.js
@@ -37,12 +37,12 @@ async.series([
db = require('../src/node/db/DB');
callback();
},
- // intallize the database
+ // initialize the database
function (callback)
{
db.init(callback);
},
- // delete the pad and it's links
+ // delete the pad and its links
function (callback)
{
padManager = require('../src/node/db/PadManager');
diff --git a/bin/doc/json.js b/bin/doc/json.js
index 2459bc26..a404675b 100644
--- a/bin/doc/json.js
+++ b/bin/doc/json.js
@@ -96,7 +96,7 @@ function doJSON(input, filename, cb) {
// a list: starting with list_start, ending with list_end,
// maybe containing other nested lists in each item.
//
- // If one of these isnt' found, then anything that comes between
+ // If one of these isn't found, then anything that comes between
// here and the next heading should be parsed as the desc.
var stability
if (state === 'AFTERHEADING') {
@@ -198,7 +198,7 @@ function processList(section) {
var current;
var stack = [];
- // for now, *just* build the heirarchical list
+ // for now, *just* build the hierarchical list
list.forEach(function(tok) {
var type = tok.type;
if (type === 'space') return;
diff --git a/bin/extractPadData.js b/bin/extractPadData.js
index e3678c4e..41908249 100644
--- a/bin/extractPadData.js
+++ b/bin/extractPadData.js
@@ -1,5 +1,5 @@
/*
- This is a debug tool. It helps to extract all datas of a pad and move it from an productive enviroment and to a develop enviroment to reproduce bugs there. It outputs a dirtydb file
+ This is a debug tool. It helps to extract all datas of a pad and move it from an productive environment and to a develop environment to reproduce bugs there. It outputs a dirtydb file
*/
if(process.argv.length != 3)
@@ -38,7 +38,7 @@ async.series([
dirty = require("../node_modules/ep_etherpad-lite/node_modules/ueberDB/node_modules/dirty")(padId + ".db");
callback();
},
- //intallize the database
+ //initialize the database
function (callback)
{
db.init(callback);
@@ -85,7 +85,7 @@ async.series([
if(err) { callback(err); return}
if(dbvalue && typeof dbvalue != 'object'){
- dbvalue=JSON.parse(dbvalue); // if its not json then parse it as json
+ dbvalue=JSON.parse(dbvalue); // if it's not json then parse it as json
}
dirty.set(dbkey, dbvalue, callback);
@@ -105,5 +105,5 @@ async.series([
//get the pad object
//get all revisions of this pad
//get all authors related to this pad
-//get the readonly link releated to this pad
-//get the chat entrys releated to this pad
+//get the readonly link related to this pad
+//get the chat entries related to this pad
diff --git a/bin/importSqlFile.js b/bin/importSqlFile.js
index 6491cbea..5cdf46e5 100644
--- a/bin/importSqlFile.js
+++ b/bin/importSqlFile.js
@@ -30,7 +30,7 @@ require("ep_etherpad-lite/node_modules/npm").load({}, function(er,npm) {
//there was an error while initializing the database, output it and stop
if(err)
{
- console.error("ERROR: Problem while initalizing the database");
+ console.error("ERROR: Problem while initializing the database");
console.error(err.stack ? err.stack : err);
process.exit(1);
}
diff --git a/bin/installDeps.sh b/bin/installDeps.sh
index 48a34905..5ccba46d 100755
--- a/bin/installDeps.sh
+++ b/bin/installDeps.sh
@@ -23,19 +23,19 @@ hash curl > /dev/null 2>&1 || {
}
#Is node installed?
-#not checking io.js, default installation creates a symbolic link to node
+#Not checking io.js, default installation creates a symbolic link to node
hash node > /dev/null 2>&1 || {
- echo "Please install node.js ( http://nodejs.org )" >&2
+ echo "Please install node.js ( https://nodejs.org )" >&2
exit 1
}
#Is npm installed?
hash npm > /dev/null 2>&1 || {
- echo "Please install npm ( http://npmjs.org )" >&2
+ echo "Please install npm ( https://npmjs.org )" >&2
exit 1
}
-#check npm version
+#Check npm version
NPM_VERSION=$(npm --version)
NPM_MAIN_VERSION=$(echo $NPM_VERSION | cut -d "." -f 1)
if [ $(echo $NPM_MAIN_VERSION) = "0" ]; then
@@ -43,7 +43,7 @@ if [ $(echo $NPM_MAIN_VERSION) = "0" ]; then
exit 1
fi
-#check node version
+#Check node version
NODE_VERSION=$(node --version)
NODE_V_MINOR=$(echo $NODE_VERSION | cut -d "." -f 1-2)
NODE_V_MAIN=$(echo $NODE_VERSION | cut -d "." -f 1)
@@ -61,7 +61,7 @@ for arg in $*; do
a=$arg
done
-#Does a $settings exist? if no copy the template
+#Does a $settings exist? if not copy the template
if [ ! -f $settings ]; then
echo "Copy the settings template to $settings..."
cp settings.json.template $settings || exit 1
diff --git a/bin/installOnWindows.bat b/bin/installOnWindows.bat
index 89fa335d..db679ef0 100644
--- a/bin/installOnWindows.bat
+++ b/bin/installOnWindows.bat
@@ -1,10 +1,10 @@
@echo off
-:: change directory to etherpad-lite root
+:: Change directory to etherpad-lite root
cd /D "%~dp0\.."
:: Is node installed?
-cmd /C node -e "" || ( echo "Please install node.js ( http://nodejs.org )" && exit /B 1 )
+cmd /C node -e "" || ( echo "Please install node.js ( https://nodejs.org )" && exit /B 1 )
echo _
echo Ensure that all dependencies are up to date... If this is the first time you have run Etherpad please be patient.
diff --git a/bin/repairPad.js b/bin/repairPad.js
index 4a90812c..28f28cb6 100644
--- a/bin/repairPad.js
+++ b/bin/repairPad.js
@@ -39,7 +39,7 @@ async.series([
db = require('../src/node/db/DB');
callback();
},
- //intallize the database
+ //initialize the database
function (callback)
{
db.init(callback);
@@ -101,6 +101,6 @@ async.series([
//get the pad object
//get all revisions of this pad
//get all authors related to this pad
-//get the readonly link releated to this pad
-//get the chat entrys releated to this pad
+//get the readonly link related to this pad
+//get the chat entries related to this pad
//remove all keys from database and insert them again
diff --git a/bin/run.sh b/bin/run.sh
index c50845ec..b8049479 100755
--- a/bin/run.sh
+++ b/bin/run.sh
@@ -16,19 +16,19 @@ do
fi
done
-#Stop the script if its started as root
+#Stop the script if it's started as root
if [ "$(id -u)" -eq 0 ] && [ $ignoreRoot -eq 0 ]; then
- echo "You shouldn't start Etherpad as root!"
- echo "Please type 'Etherpad rocks my socks' or supply the '--root' argument if you still want to start it as root"
- read rocks
- if [ ! "$rocks" == "Etherpad rocks my socks" ]
- then
- echo "Your input was incorrect"
- exit 1
- fi
+ echo "You shouldn't start Etherpad as root!"
+ echo "Please type 'Etherpad rocks my socks' or supply the '--root' argument if you still want to start it as root"
+ read rocks
+ if [ ! "$rocks" == "Etherpad rocks my socks" ]
+ then
+ echo "Your input was incorrect"
+ exit 1
+ fi
fi
-#prepare the enviroment
+#Prepare the environment
bin/installDeps.sh $* || exit 1
#Move to the node folder and start
diff --git a/bin/safeRun.sh b/bin/safeRun.sh
index 519a0b6e..d024f0b2 100755
--- a/bin/safeRun.sh
+++ b/bin/safeRun.sh
@@ -6,10 +6,10 @@
# 0 silent
# 1 email
ERROR_HANDLING=0
-# Your email address which should recieve the error messages
+# Your email address which should receive the error messages
EMAIL_ADDRESS="no-reply@example.com"
-# Sets the minimun amount of time betweens the sending of error emails.
-# This ensures you not get spamed while a endless reboot loop
+# Sets the minimum amount of time between the sending of error emails.
+# This ensures you do not get spammed during an endless reboot loop
# It's the time in seconds
TIME_BETWEEN_EMAILS=600 # 10 minutes
@@ -26,7 +26,7 @@ if [ -d "../bin" ]; then
cd "../"
fi
-#check if a logfile parameter is set
+#Check if a logfile parameter is set
if [ -z "${LOG}" ]; then
echo "Set a logfile as the first parameter"
exit 1
@@ -35,18 +35,18 @@ fi
shift
while [ 1 ]
do
- #try to touch the file if it doesn't exist
+ #Try to touch the file if it doesn't exist
if [ ! -f ${LOG} ]; then
touch ${LOG} || ( echo "Logfile '${LOG}' is not writeable" && exit 1 )
fi
- #check if the file is writeable
+ #Check if the file is writeable
if [ ! -w ${LOG} ]; then
echo "Logfile '${LOG}' is not writeable"
exit 1
fi
- #start the application
+ #Start the application
bin/run.sh $@ >>${LOG} 2>>${LOG}
#Send email